Wesnoth on Mac OSX 10.4

Get help with compiling or installing the game, and discuss announcements of new official releases.

Moderators: Forum Moderators, Developers

Post Reply
User avatar
pyrophorus
Posts: 513
Joined: December 1st, 2010, 12:54 pm

Wesnoth on Mac OSX 10.4

Post by pyrophorus » October 1st, 2011, 5:18 am

Hi everybody !
I'm currently stuck in 1.9.4 because newer Wesnoth OSX binaries (including 1.8.6) require OSX 10.5+
(The wiki says one could try anyway on 10.4, but alas, Wesnoth crashes complaining for missing call in dylib)
And, I can't upgrade my computer to 10.5 for some reasons.

Of course, I would be very glad if 10.4 support could be continued (even on major versions only), but I conscious it's a lot of work. So if not, I would like to know if I can still compile newer versions on 10.4 with some chances of success.
Thanks in advance,
LS
Campaign Return to Noelren *** HowTos: WML filtering, WML variables
Please help to to update the Guide to UMC Campaigns

User avatar
ancestral
Developer
Posts: 1108
Joined: August 1st, 2006, 5:29 am
Location: Motion City

Re: Wesnoth on Mac OSX 10.4

Post by ancestral » October 1st, 2011, 6:20 am

Wesnoth 1.8 is still played online and will still be around for some time into the future. Mac OS X 10.4 was originally released in early 2005; that’s 6½ years ago. (Meanwhile, OS X has seen 3 significant upgrades since.) If it’s any consolation, take some solace in 1.8.x still working with 10.4.

pyrophorus, how old is your Mac? Is it slower than 867 MHz?
Wesnoth BestiaryPREVIEW IT HERE )
Unit tree and stat browser
CanvasPREVIEW IT HERE )
Exp. map viewer

User avatar
Alarantalara
Art Contributor
Posts: 782
Joined: April 23rd, 2010, 8:17 pm
Location: Canada

Re: Wesnoth on Mac OSX 10.4

Post by Alarantalara » October 1st, 2011, 12:24 pm

The answer is that you can, but you need to not turn on OpenMP and compile with gcc4.0. As far as I know, OpenMP is still not required, so this should work.

There is a version of 1.9.6 for 10.4 available on SourceForge if you want something somewhat newer without compiling your own.

User avatar
pyrophorus
Posts: 513
Joined: December 1st, 2010, 12:54 pm

Re: Wesnoth on Mac OSX 10.4

Post by pyrophorus » October 3rd, 2011, 9:22 am

ancestral wrote: pyrophorus, how old is your Mac? Is it slower than 867 MHz?
I can't remember when I bought it, but it was a powerful computer and still is (dual processor, large RAM and so on). I have no performance problem with it. :lol2:
Alarantalara wrote:The answer is that you can, but you need to not turn on OpenMP and compile with gcc4.0. As far as I know, OpenMP is still not required, so this should work.

There is a version of 1.9.6 for 10.4 available on SourceForge if you want something somewhat newer without compiling your own.
Thanks, I will try it.
LS
Campaign Return to Noelren *** HowTos: WML filtering, WML variables
Please help to to update the Guide to UMC Campaigns

Star Gazer
Posts: 110
Joined: April 6th, 2004, 10:06 am
Location: North Norfolk, UK

Re: Wesnoth on Mac OSX 10.4

Post by Star Gazer » October 16th, 2011, 9:49 pm

ancestral wrote:...Mac OS X 10.4 was originally released in early 2005; that’s 6½ years ago. (Meanwhile, OS X has seen 3 significant upgrades since.) If it’s any consolation, take some solace in 1.8.x still working with 10.4...
...eerrmm and Windows XP is ... how old? ....and isn't still supported...?

User avatar
ancestral
Developer
Posts: 1108
Joined: August 1st, 2006, 5:29 am
Location: Motion City

Re: Wesnoth on Mac OSX 10.4

Post by ancestral » October 16th, 2011, 10:21 pm

Star Gazer wrote:
ancestral wrote:...Mac OS X 10.4 was originally released in early 2005; that’s 6½ years ago. (Meanwhile, OS X has seen 3 significant upgrades since.) If it’s any consolation, take some solace in 1.8.x still working with 10.4...
...eerrmm and Windows XP is ... how old? ....and isn't still supported...?
Windows has had 2 major releases since XP where Apple has released smaller (and cheaper) but still quite significant upgrades. They’re simply two different strategies (larger and moderately priced, less frequent vs. smaller and cheaper, more frequent).

Additionally, there is still a large base of XP users (people who skipped Windows Vista and are waiting to buy a new computer) where the number of 10.4 users are much fewer.
Wesnoth BestiaryPREVIEW IT HERE )
Unit tree and stat browser
CanvasPREVIEW IT HERE )
Exp. map viewer

monochromatic
Posts: 1549
Joined: June 18th, 2009, 1:45 am

Re: Wesnoth on Mac OSX 10.4

Post by monochromatic » October 17th, 2011, 4:44 am

And XP is still used only because Vista sucks. And then people are just lazy to upgrade to 7.

Also, 10.5 had a significant change: it dropped PowerPC support and went Intel. Many computers that run 10.4 and before are PowerPC, so they cannot upgrade.

User avatar
ancestral
Developer
Posts: 1108
Joined: August 1st, 2006, 5:29 am
Location: Motion City

Re: Wesnoth on Mac OSX 10.4

Post by ancestral » October 17th, 2011, 6:11 am

monochromatic wrote:Also, 10.5 had a significant change: it dropped PowerPC support and went Intel. Many computers that run 10.4 and before are PowerPC, so they cannot upgrade.
True about the platform transition — and that was a very significant change — though technically, 10.5 is still PowerPC compatible and can be safely installed on computers with 867 MHz or greater (which is why I asked originally :wink:).
Wesnoth BestiaryPREVIEW IT HERE )
Unit tree and stat browser
CanvasPREVIEW IT HERE )
Exp. map viewer

User avatar
pyrophorus
Posts: 513
Joined: December 1st, 2010, 12:54 pm

Re: Wesnoth on Mac OSX 10.4

Post by pyrophorus » October 17th, 2011, 3:39 pm

Hi !
I have enough processor speed, but I have still many softs running only under Trueblue (i.e. Mac OS9 emulation in OSX). That's the main reason why I don't want to upgrade. I don't know if it runs still in 10.5 and would not take the risk.
Friendly,
LS
Campaign Return to Noelren *** HowTos: WML filtering, WML variables
Please help to to update the Guide to UMC Campaigns

User avatar
Alarantalara
Art Contributor
Posts: 782
Joined: April 23rd, 2010, 8:17 pm
Location: Canada

Re: Wesnoth on Mac OSX 10.4

Post by Alarantalara » December 20th, 2011, 7:19 pm

Versions of Wesnoth newer than 1.9.11 or so also work on 10.4. This means that support for OS X 10.4 will probably continue until 1.11.x.

Post Reply